Bug 175284 - shutdown confirmation dialog: use regular size for "cancel"
Summary: shutdown confirmation dialog: use regular size for "cancel"
Status: RESOLVED FIXED
Alias: None
Product: ksmserver
Classification: Unclassified
Component: ui (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: Lubos Lunak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-16 11:20 UTC by Maciej Pilichowski
Modified: 2012-02-07 22:25 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2008-11-16 11:20:29 UTC
Version:            (using KDE 4.1.3)
Installed from:    SuSE RPMs

shutdown confirmation dialog: use regular size for "cancel"

This is mild bug -- user set font size/icons size etc. for purpose. He/she can have some kind of vision impairment. But the shutdown dialog (press ctrl+alt+del) tries to emphasis shutdown actions (good) and on the other hand "hide" cancel button.

This is wrong usability and a11y approach. The fallback action should not be smaller than regular buttons, important buttons can be bigger comparing to cancel, but not vice-versa.

So, please regular-sized cancel, and if shutdown actions would look too small comparing to cancel, make _them_ bigger, not cancel smaller (as currently).
Comment 1 Oswald Buddenhagen 2009-05-30 18:05:41 UTC
all the buttons use the same default font here (today's svn trunk).
Comment 2 Lamarque V. Souza 2012-02-07 22:25:35 UTC
Git commit 49e65509f9bada70382d2768670a31b568f28ce4 by Lamarque V. Souza.
Committed on 07/02/2012 at 23:19.
Pushed by lvsouza into branch 'master'.

Port shutdown dialog to QML.

REVIEW: 103621
Related: bug 216853

M  +1    -2    ksmserver/shutdown.cpp

http://commits.kde.org/kde-workspace/49e65509f9bada70382d2768670a31b568f28ce4